Name:          terracotta-statistics
Version:       1.1.0
Release:       3%{?dist}
Summary:       Terracotta Statistics
# Public Domain: ./src/main/java/org/terracotta/statistics/jsr166e
License:       ASL 2.0 and Public Domain
URL:           https://github.com/Terracotta-OSS/statistics/
Source0:       https://github.com/Terracotta-OSS/statistics/archive/v%{version}/statistics-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.rat:apache-rat-plugin)
BuildRequires: mvn(org.hamcrest:hamcrest-all)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-jdk14)

Provides:      bundled(jsr166e) = 1.8

BuildArch:     noarch

%description
A statistics framework used inside Ehcache and the Terracotta products.

%package javadoc
Summary:       Javadoc for Terracotta Statistics

%description javadoc
This package contains javadoc for Terracotta Statistics.

%prep
%setup -q -n statistics-%{version}

# Unwanted tasks
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%pom_change_dep junit: :junit

%pom_xpath_inject "pom:plugin[pom:artifactId = 'apache-rat-plugin' ]/pom:configuration/pom:excludes" '
  <exclude>.xmvn/**</exclude>'

%mvn_file org.terracotta:statistics %{name} statistics

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 23 2016 gil cattaneo <puntogil@libero.it> 1.1.0-2
- Initial import (#1364536)
- review fixes

* Mon May 02 2016 gil cattaneo <puntogil@libero.it> 1.1.0-1
- update to 1.1.0

